Skip to main content
POST
/
transactions
/
{txId}
/
signatures
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/transactions/{txId}/signatures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "type": "initiator",
  "signature": "0x..."
}
'
{
  "data": {
    "id": "tx_123",
    "accountId": "acc_123",
    "policy": {
      "id": "pol_123",
      "threshold": 2
    },
    "type": "TOKEN_TRANSFER",
    "signatureData": {
      "status": "<string>",
      "initiatorPayload": "<string>"
    },
    "executionStatus": null,
    "approvals": [
      {
        "id": "mem_123",
        "name": "Alice",
        "type": "user",
        "walletAddress": "<string>"
      }
    ],
    "rejections": [
      {
        "id": "mem_123",
        "name": "Alice",
        "type": "user",
        "walletAddress": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2026-01-25T00:00:00Z",
    "data": {
      "destination": "0xdef...",
      "asset": {
        "id": "usdc_1",
        "symbol": "USDC",
        "decimals": 6,
        "name": "USD Coin",
        "logoUrl": "https://assets.onchainden.com/tokens/usdc.png",
        "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
      },
      "rawAmount": "1000000000",
      "displayAmount": "1000.00",
      "networkId": 1
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Path Parameters

txId
string
required

Body

application/json
type
enum<string>
required

Type of signature for account transactions:

  • initiator: Authorizes the transaction to proceed (distinct from approve/reject)
  • approve: Approver vote to approve
  • reject: Approver vote to reject
Available options:
initiator,
approve,
reject
signature
string
required

The cryptographic signature

execute
boolean
default:false

Whether to execute immediately if threshold is met

Response

Signature submitted

data
Token Transfer · object
required